MavenPomDeveloper (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api.publish.maven

## Interface MavenPomDeveloper

-     @Incubating
      public interface MavenPomDeveloper

  A developer of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomDeveloperSpec`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<String>` | `getEmail()` | The email
    `Property<String>` | `getId()` | The unique ID of this developer in the SCM.
    `Property<String>` | `getName()` | The name of this developer.
    `Property<String>` | `getOrganization()` | The organization name of this developer.
    `Property<String>` | `getOrganizationUrl()` | The organization's URL of this developer.
    `MapProperty<String,​String>` | `getProperties()` | The properties of this developer.
    `SetProperty<String>` | `getRoles()` | The roles of this developer.
    `Property<String>` | `getTimezone()` | The timezone of this developer.
    `Property<String>` | `getUrl()` | The URL of this developer.

- - ### Method Detail

    - #### getId

          Property<String> getId()

      The unique ID of this developer in the SCM.

    - #### getName

          Property<String> getName()

      The name of this developer.

    - #### getEmail

          Property<String> getEmail()

      The email

    - #### getUrl

          Property<String> getUrl()

      The URL of this developer.

    - #### getOrganization

          Property<String> getOrganization()

      The organization name of this developer.

    - #### getOrganizationUrl

          Property<String> getOrganizationUrl()

      The organization's URL of this developer.

    - #### getRoles

          SetProperty<String> getRoles()

      The roles of this developer.

    - #### getTimezone

          Property<String> getTimezone()

      The timezone of this developer.

    - #### getProperties

          MapProperty<String,​String> getProperties()

      The properties of this developer.